Bug 135832 - smbtree frees invalid pointer
smbtree frees invalid pointer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-15 06:43 EDT by Doncho N. Gunchev
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: samba-3.0.8-0.pre1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 16:13:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2004-10-15 06:43:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
With samba-3.0.8-0.pre1.1 smbtree is broken again. It aborts and in
the log I get:
Oct 15 13:04:50 fc3t3 smbtree: *** glibc detected *** free(): invalid
pointer: 0xf7007120 ***
I downgraded to samba-3.0.8-0.pre1 and it works again.

Version-Release number of selected component (if applicable):
samba-3.0.8-0.pre1.1

How reproducible:
Always

Steps to Reproduce:
1. install samba-3.0.8-0.pre1.1
2. service smb start (and maybe wait a while)
3. smbtree

Actual Results:
[root@fc3t3 ~]# smbtree
Aborted
Comment 1 Jay Fenlason 2004-10-18 16:13:26 EDT
I accidentally left out the -x_fclose patch in the spec file.  New 
samba-3.0.8-0.pre1.2 built with the patch applied 

Note You need to log in before you can comment on or make changes to this bug.